<template>
<tr>
    <td class="text-center">{{ row + 1 }}.</td>
    <td>
        {{ otherExpense.code }}
    </td>
    <td>{{ otherExpense.description }}</td>
    <td class="text-center">
        <button class="btn btn-white btn-xs" @click="del( otherExpense.id )"> 
            <i class="fa fa-trash-o"></i>&nbsp;&nbsp;Delete&nbsp;&nbsp;&nbsp;
        </button>
        <button class="btn btn-white btn-xs" 
                @click="edit( otherExpense )"> 
            <i class="fa fa-pencil" ></i>&nbsp;&nbsp;Edit&nbsp;&nbsp;&nbsp;
        </button>
    </td>
</tr>
</template>

<script>
export default {
    props: [
        'otherExpense',
        'row'
    ],
    methods: {
        edit( row_data ) {
            this.$emit('edit', row_data)
        },
        del( id ){
            this.$emit('delete', id)
        }
    }
}
</script>

